<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="e366dc5c-b7a6-4702-aeb8-17f7f767edde" name="Default" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_SCHEMA" value="false" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_TABLE_DETAILS" value="true" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <PATH>
      <PATH_ELEMENT>
        <option name="myItemId" />
        <option name="myItemType" value="com.intellij.database.view.DatabaseStructure$Root" />
      </PATH_ELEMENT>
      <PATH_ELEMENT>
        <option name="myItemId" value="ishop2@localhost" />
        <option name="myItemType" value="com.intellij.database.view.DbNodeDescriptor" />
      </PATH_ELEMENT>
    </PATH>
    <PATH>
      <PATH_ELEMENT>
        <option name="myItemId" />
        <option name="myItemType" value="com.intellij.database.view.DatabaseStructure$Root" />
      </PATH_ELEMENT>
      <PATH_ELEMENT>
        <option name="myItemId" value="ishop2@localhost" />
        <option name="myItemType" value="com.intellij.database.view.DbNodeDescriptor" />
      </PATH_ELEMENT>
      <PATH_ELEMENT>
        <option name="myItemId" value="ishop2" />
        <option name="myItemType" value="com.intellij.database.view.DbNodeDescriptor" />
      </PATH_ELEMENT>
    </PATH>
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="default_target" />
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="main.js" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/public/js/main.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="132">
              <caret line="9" column="31" lean-forward="true" selection-start-line="9" selection-start-column="17" selection-end-line="9" selection-end-column="31" />
              <folding>
                <element signature="n#!!doc" expanded="true" />
                <element signature="e#1226#1238#0" expanded="false" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="CategoryController.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/controllers/CategoryController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="359">
              <caret line="41" column="30" lean-forward="true" selection-start-line="41" selection-start-column="30" selection-end-line="41" selection-end-column="30" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Pagination.php" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/vendor/ishop/core/libs/Pagination.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="117">
              <caret line="79" column="29" lean-forward="false" selection-start-line="79" selection-start-column="29" selection-end-line="79" selection-end-column="29" />
              <folding>
                <marker date="1504545777208" expanded="true" signature="990:994" ph="&lt;" />
                <marker date="1504545777208" expanded="true" signature="1173:1177" ph="&gt;" />
                <marker date="1504545777208" expanded="true" signature="1313:1320" ph="«" />
                <marker date="1504545777208" expanded="true" signature="1494:1501" ph="»" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="filter.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/views/Category/filter.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="572">
              <caret line="21" column="19" lean-forward="false" selection-start-line="21" selection-start-column="19" selection-end-line="21" selection-end-column="19" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="view.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/views/Category/view.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="249">
              <caret line="53" column="62" lean-forward="false" selection-start-line="53" selection-start-column="62" selection-end-line="53" selection-end-column="62" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Filter.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/widgets/filter/Filter.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="249">
              <caret line="39" column="25" lean-forward="true" selection-start-line="39" selection-start-column="25" selection-end-line="39" selection-end-column="25" />
              <folding>
                <marker date="1504545211991" expanded="true" signature="1074:1111" ph="SELECT id, t... attribute_group" />
                <marker date="1504545211991" expanded="true" signature="1187:1216" ph="SELECT * FRO... attribute_value" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="filter_tpl.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/widgets/filter/filter_tpl.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="330">
              <caret line="14" column="93" lean-forward="false" selection-start-line="14" selection-start-column="93" selection-end-line="14" selection-end-column="93" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="package_json" />
        <option value="JavaScript File" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>tabs</find>
      <find>.dropdown div</find>
      <find>w_sidebar</find>
      <find>total</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/config/init.php" />
        <option value="dbtable:/b5cc9bdd/a8554f28-fe89-4145-8993-ce5a3fb9c057/ishop2.brand" />
        <option value="$PROJECT_DIR$/app/controllers/MainController.php" />
        <option value="dbtable:/b5cc9bdd/a8554f28-fe89-4145-8993-ce5a3fb9c057/ishop2.currency" />
        <option value="dbtable:/b5cc9bdd/a8554f28-fe89-4145-8993-ce5a3fb9c057/ishop2.product" />
        <option value="$PROJECT_DIR$/app/widgets/currency/currency_tpl/currency.php" />
        <option value="$PROJECT_DIR$/app/widgets/currency/Currency.php" />
        <option value="$PROJECT_DIR$/public/menu/menu_tpl/menu.php" />
        <option value="$PROJECT_DIR$/app/controllers/AppController.php" />
        <option value="$PROJECT_DIR$/vendor/ishop/core/Cache.php" />
        <option value="$PROJECT_DIR$/app/widgets/menu/menu_tpl/menu.php" />
        <option value="$PROJECT_DIR$/app/widgets/menu/Menu.php" />
        <option value="$PROJECT_DIR$/public/menu/menu.php" />
        <option value="$PROJECT_DIR$/app/models/Product.php" />
        <option value="$PROJECT_DIR$/app/models/Breadcrumbs.php" />
        <option value="$PROJECT_DIR$/app/controllers/ProductController.php" />
        <option value="$PROJECT_DIR$/app/views/Main/index.php" />
        <option value="$PROJECT_DIR$/vendor/ishop/core/base/Controller.php" />
        <option value="$PROJECT_DIR$/app/views/Product/view.php" />
        <option value="$PROJECT_DIR$/app/views/Cart/cart_modal.php" />
        <option value="$PROJECT_DIR$/app/controllers/CurrencyController.php" />
        <option value="$PROJECT_DIR$/app/models/Cart.php" />
        <option value="$PROJECT_DIR$/vendor/ishop/core/libs/functions.php" />
        <option value="$PROJECT_DIR$/app/controllers/SearchController.php" />
        <option value="$PROJECT_DIR$/app/views/Search/index.php" />
        <option value="$PROJECT_DIR$/vendor/ishop/core/Router.php" />
        <option value="$PROJECT_DIR$/config/routes.php" />
        <option value="$PROJECT_DIR$/app/models/Category.php" />
        <option value="dbtable:/b5cc9bdd/a8554f28-fe89-4145-8993-ce5a3fb9c057/ishop2.user" />
        <option value="$PROJECT_DIR$/public/validator/lang/ru.php" />
        <option value="$PROJECT_DIR$/vendor/ishop/core/base/Model.php" />
        <option value="$PROJECT_DIR$/app/views/User/signup.php" />
        <option value="$PROJECT_DIR$/app/views/User/login.php" />
        <option value="$PROJECT_DIR$/app/controllers/UserController.php" />
        <option value="$PROJECT_DIR$/app/views/Cart/view.php" />
        <option value="$PROJECT_DIR$/app/models/User.php" />
        <option value="$PROJECT_DIR$/app/controllers/CartController.php" />
        <option value="dbtable:/b5cc9bdd/a8554f28-fe89-4145-8993-ce5a3fb9c057/ishop2.order" />
        <option value="$PROJECT_DIR$/app/views/mail/mail_order.php" />
        <option value="$PROJECT_DIR$/config/params.php" />
        <option value="$PROJECT_DIR$/app/models/Order.php" />
        <option value="$PROJECT_DIR$/filters.txt" />
        <option value="$PROJECT_DIR$/app/views/layouts/watches.php" />
        <option value="$PROJECT_DIR$/public/css/style.css" />
        <option value="$PROJECT_DIR$/public/js/main.js" />
        <option value="$PROJECT_DIR$/app/controllers/CategoryController.php" />
        <option value="$PROJECT_DIR$/app/views/Category/view.php" />
        <option value="$PROJECT_DIR$/app/views/Category/filter.php" />
        <option value="$PROJECT_DIR$/app/widgets/filter/Filter.php" />
        <option value="$PROJECT_DIR$/app/widgets/filter/filter_tpl.php" />
        <option value="$PROJECT_DIR$/vendor/ishop/core/libs/Pagination.php" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="PhpWorkspaceProjectConfiguration" backward_compatibility_performed="true" />
  <component name="ProjectFrameBounds">
    <option name="x" value="618" />
    <option name="y" value="250" />
    <option name="width" value="1294" />
    <option name="height" value="727" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="ishop2.loc" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="ishop2.loc" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="ishop2.loc" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="ishop2.loc" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="app" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="widgets" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="ishop2.loc" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="ishop2.loc" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="app" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="widgets" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="filter" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="ishop2.loc" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="ishop2.loc" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="app" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
        </subPane>
      </pane>
      <pane id="Scratches" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="com.intellij.database.dataSource.DataSourceTemplate" value="MySQL" />
    <property name="settings.editor.selected.configurable" value="database.data.views" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\WebServer\domains\ishop2.loc\public\images" />
      <recent name="D:\WebServer\domains\ishop2.loc\public\js" />
      <recent name="D:\WebServer\domains\ishop2.loc\public\validator" />
      <recent name="D:\WebServer\domains\ishop2.loc\public" />
      <recent name="D:\WebServer\domains\ishop2.loc\public\css" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="CodeceptionConfigurationType" factoryName="Codeception">
      <PhpTestRunnerSettings />
      <method />
    </configuration>
    <configuration default="true" type="JavaScriptTestRunnerJest" factoryName="Jest">
      <node-interpreter value="project" />
      <working-dir value="" />
      <envs />
      <scope-kind value="ALL" />
      <method />
    </configuration>
    <configuration default="true" type="JavaScriptTestRunnerProtractor" factoryName="Protractor">
      <config-file value="" />
      <node-interpreter value="project" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="JavascriptDebugType" factoryName="JavaScript Debug">
      <method />
    </configuration>
    <configuration default="true" type="NodeJSConfigurationType" factoryName="Node.js" path-to-node="project" working-dir="">
      <method />
    </configuration>
    <configuration default="true" type="PHPUnitRunConfigurationType" factoryName="PHPUnit">
      <TestRunner />
      <method />
    </configuration>
    <configuration default="true" type="PhpBehatConfigurationType" factoryName="Behat">
      <BehatRunner />
      <method />
    </configuration>
    <configuration default="true" type="PhpLocalRunConfigurationType" factoryName="PHP Console">
      <method />
    </configuration>
    <configuration default="true" type="PhpSpecConfigurationType" factoryName="PHPSpec">
      <PhpTestRunnerSettings />
      <method />
    </configuration>
    <configuration default="true" type="js.build_tools.gulp" factoryName="Gulp.js">
      <node-interpreter>project</node-interpreter>
      <node-options />
      <gulpfile />
      <tasks />
      <arguments />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="js.build_tools.npm" factoryName="npm">
      <command value="run" />
      <scripts />
      <node-interpreter value="project" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="mocha-javascript-test-runner" factoryName="Mocha">
      <node-interpreter>project</node-interpreter>
      <node-options />
      <working-directory />
      <pass-parent-env>true</pass-parent-env>
      <envs />
      <ui />
      <extra-mocha-options />
      <test-kind>DIRECTORY</test-kind>
      <test-directory />
      <recursive>false</recursive>
      <method />
    </configuration>
  </component>
  <component name="ShelveChangesManager" show_recycled="false">
    <option name="remove_strategy" value="false" />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="e366dc5c-b7a6-4702-aeb8-17f7f767edde" name="Default" comment="" />
      <created>1503137627692</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1503137627692</updated>
      <workItem from="1503137628921" duration="1046000" />
      <workItem from="1503209288677" duration="2359000" />
      <workItem from="1503219435892" duration="1673000" />
      <workItem from="1503233344227" duration="1391000" />
      <workItem from="1503301228775" duration="3289000" />
      <workItem from="1503307784877" duration="3660000" />
      <workItem from="1503311565516" duration="37000" />
      <workItem from="1503317705925" duration="3901000" />
      <workItem from="1503380923201" duration="2489000" />
      <workItem from="1503392960698" duration="4039000" />
      <workItem from="1503408503528" duration="4083000" />
      <workItem from="1503468309508" duration="4590000" />
      <workItem from="1503480431591" duration="3360000" />
      <workItem from="1503494116706" duration="3093000" />
      <workItem from="1503497362976" duration="20000" />
      <workItem from="1503563409697" duration="3015000" />
      <workItem from="1503739037037" duration="3294000" />
      <workItem from="1503751255071" duration="5922000" />
      <workItem from="1503834260970" duration="2635000" />
      <workItem from="1504260015105" duration="5631000" />
      <workItem from="1504281430565" duration="4385000" />
      <workItem from="1504340087299" duration="298000" />
      <workItem from="1504340444634" duration="6661000" />
      <workItem from="1504356150925" duration="3515000" />
      <workItem from="1504421755858" duration="106000" />
      <workItem from="1504433284844" duration="4042000" />
      <workItem from="1504542225638" duration="3605000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="82139000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="618" y="250" width="1294" height="727" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.18630573" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" x="684" y="295" width="285" height="617" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="true" content_ui="tabs" />
      <window_info id="Database" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.20859873" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" x="1060" y="340" width="421" height="617" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="false" weight="0.33" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.24920382" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="true" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
    </layout>
    <layout-to-restore>
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="true" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="false" weight="0.33" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.18630573" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" x="684" y="295" width="285" height="617" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Database" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.20859873" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" x="1060" y="340" width="421" height="617" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.24920382" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="true" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="processedProjectFiles" value="true" />
  </component>
  <component name="UnknownFeatures">
    <option featureType="com.intellij.fileTypeFactory" implementationName="*.log" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager />
    <watches-manager />
  </component>
  <component name="editorHistoryManager">
    <entry file="jar://$APPLICATION_HOME_DIR$/plugins/php/lib/php.jar!/stubs/standard/standard_0.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="320">
          <caret line="422" column="25" lean-forward="false" selection-start-line="422" selection-start-column="9" selection-end-line="422" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/ishop/core/libs/functions.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="374">
          <caret line="17" column="40" lean-forward="true" selection-start-line="17" selection-start-column="40" selection-end-line="17" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/controllers/SearchController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="403">
          <caret line="22" column="47" lean-forward="false" selection-start-line="22" selection-start-column="47" selection-end-line="22" selection-end-column="47" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/views/Main/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="359">
          <caret line="60" column="33" lean-forward="true" selection-start-line="55" selection-start-column="28" selection-end-line="60" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/ishop/core/Router.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="286">
          <caret line="44" column="40" lean-forward="false" selection-start-line="44" selection-start-column="40" selection-end-line="44" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/routes.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="5" column="97" lean-forward="true" selection-start-line="5" selection-start-column="97" selection-end-line="5" selection-end-column="97" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/ishop/core/base/Controller.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="4" column="15" lean-forward="false" selection-start-line="4" selection-start-column="15" selection-end-line="4" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/controllers/AppController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="10" column="32" lean-forward="true" selection-start-line="10" selection-start-column="32" selection-end-line="10" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/models/Category.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="308">
          <caret line="14" column="37" lean-forward="false" selection-start-line="14" selection-start-column="37" selection-end-line="14" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/views/Search/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="264">
          <caret line="12" column="0" lean-forward="false" selection-start-line="12" selection-start-column="0" selection-end-line="127" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="dbDummy://dbtable:/b5cc9bdd/a8554f28-fe89-4145-8993-ce5a3fb9c057/ishop2.product">
      <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
        <state>
          <filtering enabled="true" />
        </state>
      </provider>
      <provider editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="dbDummy://dbtable:/b5cc9bdd/a8554f28-fe89-4145-8993-ce5a3fb9c057/ishop2.category">
      <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
        <state>
          <filtering enabled="true" />
        </state>
      </provider>
      <provider editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/models/Product.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-15">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/models/Breadcrumbs.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="594">
          <caret line="26" column="25" lean-forward="true" selection-start-line="26" selection-start-column="25" selection-end-line="26" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/controllers/MainController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="264">
          <caret line="12" column="46" lean-forward="false" selection-start-line="12" selection-start-column="46" selection-end-line="12" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/vlucas/valitron/lang/ru.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="418">
          <caret line="30" column="46" lean-forward="false" selection-start-line="30" selection-start-column="41" selection-end-line="30" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/validator/lang/ru.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="352">
          <caret line="30" column="14" lean-forward="false" selection-start-line="30" selection-start-column="14" selection-end-line="30" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/js/validator.min.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/js/validator.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/views/User/signup.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="491">
          <caret line="53" column="101" lean-forward="true" selection-start-line="53" selection-start-column="101" selection-end-line="53" selection-end-column="101" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/views/User/login.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="66">
          <caret line="24" column="62" lean-forward="true" selection-start-line="24" selection-start-column="62" selection-end-line="24" selection-end-column="62" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/views/Cart/cart_modal.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="4" column="16" lean-forward="true" selection-start-line="4" selection-start-column="16" selection-end-line="4" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/gabordemooij/redbean/RedBeanPHP/Facade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="386">
          <caret line="464" column="27" lean-forward="false" selection-start-line="464" selection-start-column="27" selection-end-line="464" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/models/AppModel.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="6" column="25" lean-forward="false" selection-start-line="6" selection-start-column="25" selection-end-line="6" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/controllers/UserController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="381">
          <caret line="24" column="23" lean-forward="true" selection-start-line="10" selection-start-column="12" selection-end-line="24" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/models/User.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="381">
          <caret line="69" column="69" lean-forward="false" selection-start-line="69" selection-start-column="69" selection-end-line="69" selection-end-column="69" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/ishop/core/base/Model.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="308">
          <caret line="30" column="30" lean-forward="false" selection-start-line="30" selection-start-column="14" selection-end-line="30" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/views/Cart/view.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="220">
          <caret line="86" column="69" lean-forward="false" selection-start-line="86" selection-start-column="69" selection-end-line="87" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/views/mail/mail_order.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="924">
          <caret line="38" column="8" lean-forward="false" selection-start-line="38" selection-start-column="8" selection-end-line="38" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="dbDummy://dbtable:/b5cc9bdd/a8554f28-fe89-4145-8993-ce5a3fb9c057/ishop2.user">
      <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
        <state>
          <filtering enabled="true" />
        </state>
      </provider>
      <provider editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="dbDummy://dbtable:/b5cc9bdd/a8554f28-fe89-4145-8993-ce5a3fb9c057/ishop2.order">
      <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
        <state>
          <filtering enabled="true" />
        </state>
      </provider>
      <provider editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="dbDummy://dbtable:/b5cc9bdd/a8554f28-fe89-4145-8993-ce5a3fb9c057/ishop2.order_product">
      <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
        <state>
          <filtering enabled="true" />
        </state>
      </provider>
      <provider editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/params.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="4" column="40" lean-forward="true" selection-start-line="4" selection-start-column="20" selection-end-line="4" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/models/Order.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="227">
          <caret line="45" column="128" lean-forward="true" selection-start-line="45" selection-start-column="128" selection-end-line="45" selection-end-column="128" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/controllers/CartController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1173">
          <caret line="86" column="9" lean-forward="true" selection-start-line="86" selection-start-column="9" selection-end-line="86" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/images/ring.svg">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/filters.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="44">
          <caret line="2" column="53" lean-forward="false" selection-start-line="2" selection-start-column="53" selection-end-line="2" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/ishop/core/Cache.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="308">
          <caret line="13" column="21" lean-forward="false" selection-start-line="13" selection-start-column="21" selection-end-line="13" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="dbDummy://dbtable:/b5cc9bdd/a8554f28-fe89-4145-8993-ce5a3fb9c057/ishop2.attribute_group">
      <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
        <state>
          <filtering enabled="true" />
        </state>
      </provider>
      <provider editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/controllers/ProductController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="16">
          <caret line="24" column="22" lean-forward="true" selection-start-line="24" selection-start-column="22" selection-end-line="24" selection-end-column="22" />
          <folding>
            <marker date="1503565539572" expanded="true" signature="568:690" ph="SELECT * FRO... related_product" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/css/style.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="293">
          <caret line="3215" column="1" lean-forward="true" selection-start-line="3215" selection-start-column="1" selection-end-line="3215" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/views/layouts/watches.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="282">
          <caret line="207" column="30" lean-forward="false" selection-start-line="207" selection-start-column="30" selection-end-line="207" selection-end-column="30" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="dbDummy://dbtable:/b5cc9bdd/a8554f28-fe89-4145-8993-ce5a3fb9c057/ishop2.attribute_product">
      <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
        <state>
          <filtering enabled="true" />
        </state>
      </provider>
      <provider editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="dbDummy://dbtable:/b5cc9bdd/a8554f28-fe89-4145-8993-ce5a3fb9c057/ishop2.attribute_value">
      <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
        <state>
          <filtering enabled="true" />
        </state>
      </provider>
      <provider editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/js/main.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="9" column="31" lean-forward="true" selection-start-line="9" selection-start-column="17" selection-end-line="9" selection-end-column="31" />
          <folding>
            <element signature="n#!!doc" expanded="true" />
            <element signature="e#1226#1238#0" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/views/Category/view.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="249">
          <caret line="53" column="62" lean-forward="false" selection-start-line="53" selection-start-column="62" selection-end-line="53" selection-end-column="62" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/views/Category/filter.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="572">
          <caret line="21" column="19" lean-forward="false" selection-start-line="21" selection-start-column="19" selection-end-line="21" selection-end-column="19" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/widgets/filter/Filter.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="249">
          <caret line="39" column="25" lean-forward="true" selection-start-line="39" selection-start-column="25" selection-end-line="39" selection-end-column="25" />
          <folding>
            <marker date="1504545211991" expanded="true" signature="1074:1111" ph="SELECT id, t... attribute_group" />
            <marker date="1504545211991" expanded="true" signature="1187:1216" ph="SELECT * FRO... attribute_value" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/widgets/filter/filter_tpl.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="330">
          <caret line="14" column="93" lean-forward="false" selection-start-line="14" selection-start-column="93" selection-end-line="14" selection-end-column="93" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/controllers/CategoryController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="359">
          <caret line="41" column="30" lean-forward="true" selection-start-line="41" selection-start-column="30" selection-end-line="41" selection-end-column="30" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/ishop/core/libs/Pagination.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="117">
          <caret line="79" column="29" lean-forward="false" selection-start-line="79" selection-start-column="29" selection-end-line="79" selection-end-column="29" />
          <folding>
            <marker date="1504545777208" expanded="true" signature="990:994" ph="&lt;" />
            <marker date="1504545777208" expanded="true" signature="1173:1177" ph="&gt;" />
            <marker date="1504545777208" expanded="true" signature="1313:1320" ph="«" />
            <marker date="1504545777208" expanded="true" signature="1494:1501" ph="»" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>